diff --git a/app/scodoc/VERSION.py b/app/scodoc/VERSION.py
index de4344f49..5a13b47c6 100644
--- a/app/scodoc/VERSION.py
+++ b/app/scodoc/VERSION.py
@@ -1,14 +1,14 @@
# -*- mode: python -*-
# -*- coding: utf-8 -*-
-SCOVERSION = "8.01a"
+SCOVERSION = "8.0.0"
SCONAME = "ScoDoc"
SCONEWS = """
Année 2021
-- Réécriture du système de publication, basé sur Flask.
+
- Passage à Python 3 et amélioration des performances
- Version mobile (en test)
- Évaluations de type "deuxième session"
- Gestion du genre neutre (pas d'affichage de la civilité)
diff --git a/app/views/scolar.py b/app/views/scolar.py
index 94acf0d11..ae080084f 100644
--- a/app/views/scolar.py
+++ b/app/views/scolar.py
@@ -154,7 +154,7 @@ def about(context, REQUEST):
% (scu.get_scodoc_version())
]
H.append(
- 'Logiciel libre écrit en Python.
Utilise ReportLab pour générer les documents PDF, et pyExcelerator pour le traitement des documents Excel.
'
+ 'Logiciel libre écrit en Python.
'
)
H.append("Dernières évolutions
" + VERSION.SCONEWS)
H.append(
diff --git a/tools/config.sh b/tools/config.sh
index a77f00df3..9cb70f2ca 100644
--- a/tools/config.sh
+++ b/tools/config.sh
@@ -50,6 +50,6 @@ export PSQL
export POSTGRES_PORT=5432
# ---
-echo "SCODOC_USER=$SCODOC_USER"
-echo "SCODOC_DIR=$SCODOC_DIR"
-echo "SCODOC_VAR_DIR=$SCODOC_VAR_DIR"
+#echo "SCODOC_USER=$SCODOC_USER"
+#echo "SCODOC_DIR=$SCODOC_DIR"
+#echo "SCODOC_VAR_DIR=$SCODOC_VAR_DIR"
diff --git a/tools/get_scodoc_version.sh b/tools/get_scodoc_version.sh
index 6d5fcc514..767eec454 100755
--- a/tools/get_scodoc_version.sh
+++ b/tools/get_scodoc_version.sh
@@ -1,39 +1,52 @@
#!/bin/bash
# Get version information
-# Use VERSION.py, last commit, diff, and last upstream commit date
+# Use VERSION.py, VERSION, last commit, diff, and last upstream commit date
+# Le répertoire de ce script:
+SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"
-source config.sh
-source utils.sh
+source "$SCRIPT_DIR/config.sh"
+source "$SCRIPT_DIR/utils.sh"
# Source code version:
-x=$(grep SCOVERSION ../app/scodoc/VERSION.py) || terminate "can't access VERSION.py" 1
+x=$(grep SCOVERSION "$SCODOC_DIR/app/scodoc/VERSION.py") || terminate "can't access VERSION.py" 1
x=${x#*\"}
src_version=${x%\"*}
-# last commit
-git_last_commit_hash=$(git log -1 --format=%h)
-git_last_commit_date=$(git log -1 --format=%ci)
+release_version=$(cat "$SCODOC_DIR/VERSION")
-git_up_commit_hash=$(git log -1 --format=%h origin/ScoDoc8)
-git_up_commit_date=$(git log -1 --format=%ci origin/ScoDoc8)
-
-# Check if git has local changes
-nchanges=$(git status --porcelain | grep -c -v '^??')
-if [ "$nchanges" -gt 0 ]
+git status >& /dev/null
+if [ $? = 0 ]
then
- has_local_changes="yes"
+ # development install: use git
+ # last commit
+ git_last_commit_hash=$(git log -1 --format=%h)
+ git_last_commit_date=$(git log -1 --format=%ci)
+
+ git_up_commit_hash=$(git log -1 --format=%h origin/ScoDoc8)
+ git_up_commit_date=$(git log -1 --format=%ci origin/ScoDoc8)
+
+ # Check if git has local changes
+ nchanges=$(git status --porcelain | grep -c -v '^??')
+ if [ "$nchanges" -gt 0 ]
+ then
+ has_local_changes="yes"
+ else
+ has_local_changes="no"
+ fi
+ git_info=" ($git_up_commit_hash) $git_up_commit_date"
+ if [ "$has_local_changes" = "yes" ]
+ then
+ git_info="$git_info (modified)"
+ fi
else
- has_local_changes="no"
+ git_info=""
fi
# Synthetic one-line version:
-sco_version="$src_version ($git_up_commit_hash) $git_up_commit_date"
-if [ "$has_local_changes" = "yes" ]
-then
- sco_version="$sco_version (modified)"
-fi
+sco_version="$release_version ($src_version)$git_info"
+
#
if [ "$1" = "-s" ]